#include <kdialog.h>
#include <klocale.h>

#ifndef UI_KNOTIFYWIDGETBASE_H
#define UI_KNOTIFYWIDGETBASE_H

#include "Qt3Support/Q3GroupBox"
#include <Qt3Support/Q3Header>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include "k3listview.h"
#include "kcombobox.h"
#include "kurlrequester.h"
#include "Qt3Support/Q3ListViewItemIterator"
#include <Qt3Support/Q3MimeSourceFactory>

class Ui_KNotifyWidgetBase
{
public:
    QVBoxLayout *vboxLayout;
    K3ListView *m_listview;
    Q3GroupBox *m_controlsBox;
    QGridLayout *gridLayout;
    QCheckBox *m_affectAllApps;
    QSpacerItem *spacerItem;
    QSpacerItem *spacerItem1;
    QPushButton *m_buttonDisable;
    QPushButton *m_buttonEnable;
    KComboBox *m_comboEnable;
    KComboBox *m_comboDisable;
    Q3GroupBox *m_actionsBox;
    QGridLayout *gridLayout1;
    QCheckBox *m_stderr;
    QCheckBox *m_messageBox;
    QCheckBox *m_execute;
    QHBoxLayout *hboxLayout;
    QCheckBox *m_playSound;
    QPushButton *m_playButton;
    QCheckBox *m_taskbar;
    QCheckBox *m_logToFile;
    QSpacerItem *spacerItem2;
    KUrlRequester *m_executePath;
    KUrlRequester *m_logfilePath;
    KUrlRequester *m_soundPath;
    QCheckBox *m_passivePopup;
    QHBoxLayout *hboxLayout1;
    QPushButton *m_extension;
    QSpacerItem *spacerItem3;
    QPushButton *m_playerButton;

    void setupUi(QWidget *KNotifyWidgetBase)
    {
    KNotifyWidgetBase->setObjectName(QString::fromUtf8("KNotifyWidgetBase"));
    KNotifyWidgetBase->resize(QSize(489, 598).expandedTo(KNotifyWidgetBase->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(KNotifyWidgetBase);
    vboxLayout->setSpacing(KDialog::spacingHint());
    vboxLayout->setMargin(0);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    m_listview = new K3ListView(KNotifyWidgetBase);
    m_listview->setObjectName(QString::fromUtf8("m_listview"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(7));
    sizePolicy.setHorizontalStretch(10);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(m_listview->sizePolicy().hasHeightForWidth());
    m_listview->setSizePolicy(sizePolicy);

    vboxLayout->addWidget(m_listview);

    m_controlsBox = new Q3GroupBox(KNotifyWidgetBase);
    m_controlsBox->setObjectName(QString::fromUtf8("m_controlsBox"));
    m_controlsBox->setOrientation(Qt::Vertical);
    m_controlsBox->setColumnLayout(0, Qt::Vertical);
    m_controlsBox->layout()->setSpacing(KDialog::spacingHint());
    m_controlsBox->layout()->setMargin(KDialog::marginHint());
    gridLayout = new QGridLayout(m_controlsBox->layout());
    gridLayout->setAlignment(Qt::AlignTop);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    gridLayout->setMargin(11);
    gridLayout->setSpacing(6);
    m_affectAllApps = new QCheckBox(m_controlsBox);
    m_affectAllApps->setObjectName(QString::fromUtf8("m_affectAllApps"));

    gridLayout->addWidget(m_affectAllApps, 0, 0, 1, 4);

    spacerItem = new QSpacerItem(30, 20, QSizePolicy::Fixed, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem, 1, 0, 2, 1);

    spacerItem1 = new QSpacerItem(318, 16, QSizePolicy::Expanding, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem1, 2, 3, 1, 1);

    m_buttonDisable = new QPushButton(m_controlsBox);
    m_buttonDisable->setObjectName(QString::fromUtf8("m_buttonDisable"));

    gridLayout->addWidget(m_buttonDisable, 2, 1, 1, 1);

    m_buttonEnable = new QPushButton(m_controlsBox);
    m_buttonEnable->setObjectName(QString::fromUtf8("m_buttonEnable"));

    gridLayout->addWidget(m_buttonEnable, 1, 1, 1, 1);

    m_comboEnable = new KComboBox(m_controlsBox);
    m_comboEnable->setObjectName(QString::fromUtf8("m_comboEnable"));

    gridLayout->addWidget(m_comboEnable, 1, 2, 1, 1);

    m_comboDisable = new KComboBox(m_controlsBox);
    m_comboDisable->setObjectName(QString::fromUtf8("m_comboDisable"));

    gridLayout->addWidget(m_comboDisable, 2, 2, 1, 1);


    vboxLayout->addWidget(m_controlsBox);

    m_actionsBox = new Q3GroupBox(KNotifyWidgetBase);
    m_actionsBox->setObjectName(QString::fromUtf8("m_actionsBox"));
    m_actionsBox->setOrientation(Qt::Vertical);
    m_actionsBox->setColumnLayout(0, Qt::Vertical);
    m_actionsBox->layout()->setSpacing(KDialog::spacingHint());
    m_actionsBox->layout()->setMargin(KDialog::marginHint());
    gridLayout1 = new QGridLayout(m_actionsBox->layout());
    gridLayout1->setAlignment(Qt::AlignTop);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    gridLayout1->setMargin(11);
    gridLayout1->setSpacing(6);
    m_stderr = new QCheckBox(m_actionsBox);
    m_stderr->setObjectName(QString::fromUtf8("m_stderr"));

    gridLayout1->addWidget(m_stderr, 5, 0, 1, 3);

    m_messageBox = new QCheckBox(m_actionsBox);
    m_messageBox->setObjectName(QString::fromUtf8("m_messageBox"));

    gridLayout1->addWidget(m_messageBox, 3, 0, 1, 3);

    m_execute = new QCheckBox(m_actionsBox);
    m_execute->setObjectName(QString::fromUtf8("m_execute"));

    gridLayout1->addWidget(m_execute, 2, 0, 1, 2);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(KDialog::spacingHint());
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    m_playSound = new QCheckBox(m_actionsBox);
    m_playSound->setObjectName(QString::fromUtf8("m_playSound"));

    hboxLayout->addWidget(m_playSound);

    m_playButton = new QPushButton(m_actionsBox);
    m_playButton->setObjectName(QString::fromUtf8("m_playButton"));

    hboxLayout->addWidget(m_playButton);


    gridLayout1->addLayout(hboxLayout, 0, 0, 1, 2);

    m_taskbar = new QCheckBox(m_actionsBox);
    m_taskbar->setObjectName(QString::fromUtf8("m_taskbar"));

    gridLayout1->addWidget(m_taskbar, 6, 0, 1, 3);

    m_logToFile = new QCheckBox(m_actionsBox);
    m_logToFile->setObjectName(QString::fromUtf8("m_logToFile"));

    gridLayout1->addWidget(m_logToFile, 1, 0, 1, 2);

    spacerItem2 = new QSpacerItem(30, 20, QSizePolicy::Fixed, QSizePolicy::Minimum);

    gridLayout1->addItem(spacerItem2, 4, 0, 1, 1);

    m_executePath = new KUrlRequester(m_actionsBox);
    m_executePath->setObjectName(QString::fromUtf8("m_executePath"));
    m_executePath->setEnabled(false);
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy1.setHorizontalStretch(1);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(m_executePath->sizePolicy().hasHeightForWidth());
    m_executePath->setSizePolicy(sizePolicy1);

    gridLayout1->addWidget(m_executePath, 2, 2, 1, 1);

    m_logfilePath = new KUrlRequester(m_actionsBox);
    m_logfilePath->setObjectName(QString::fromUtf8("m_logfilePath"));
    m_logfilePath->setEnabled(false);
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy2.setHorizontalStretch(1);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(m_logfilePath->sizePolicy().hasHeightForWidth());
    m_logfilePath->setSizePolicy(sizePolicy2);

    gridLayout1->addWidget(m_logfilePath, 1, 2, 1, 1);

    m_soundPath = new KUrlRequester(m_actionsBox);
    m_soundPath->setObjectName(QString::fromUtf8("m_soundPath"));
    m_soundPath->setEnabled(false);
    QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy3.setHorizontalStretch(0);
    sizePolicy3.setVerticalStretch(0);
    sizePolicy3.setHeightForWidth(m_soundPath->sizePolicy().hasHeightForWidth());
    m_soundPath->setSizePolicy(sizePolicy3);

    gridLayout1->addWidget(m_soundPath, 0, 2, 1, 1);

    m_passivePopup = new QCheckBox(m_actionsBox);
    m_passivePopup->setObjectName(QString::fromUtf8("m_passivePopup"));
    m_passivePopup->setEnabled(false);

    gridLayout1->addWidget(m_passivePopup, 4, 1, 1, 2);


    vboxLayout->addWidget(m_actionsBox);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(KDialog::spacingHint());
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    m_extension = new QPushButton(KNotifyWidgetBase);
    m_extension->setObjectName(QString::fromUtf8("m_extension"));
    QSizePolicy sizePolicy4(static_cast<QSizePolicy::Policy>(4), static_cast<QSizePolicy::Policy>(0));
    sizePolicy4.setHorizontalStretch(0);
    sizePolicy4.setVerticalStretch(0);
    sizePolicy4.setHeightForWidth(m_extension->sizePolicy().hasHeightForWidth());
    m_extension->setSizePolicy(sizePolicy4);
    m_extension->setCheckable(false);

    hboxLayout1->addWidget(m_extension);

    spacerItem3 = new QSpacerItem(20, 0, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout1->addItem(spacerItem3);

    m_playerButton = new QPushButton(KNotifyWidgetBase);
    m_playerButton->setObjectName(QString::fromUtf8("m_playerButton"));

    hboxLayout1->addWidget(m_playerButton);


    vboxLayout->addLayout(hboxLayout1);

    QWidget::setTabOrder(m_listview, m_playSound);
    QWidget::setTabOrder(m_playSound, m_playButton);
    QWidget::setTabOrder(m_playButton, m_soundPath);
    QWidget::setTabOrder(m_soundPath, m_logToFile);
    QWidget::setTabOrder(m_logToFile, m_logfilePath);
    QWidget::setTabOrder(m_logfilePath, m_execute);
    QWidget::setTabOrder(m_execute, m_executePath);
    QWidget::setTabOrder(m_executePath, m_messageBox);
    QWidget::setTabOrder(m_messageBox, m_passivePopup);
    QWidget::setTabOrder(m_passivePopup, m_stderr);
    QWidget::setTabOrder(m_stderr, m_affectAllApps);
    QWidget::setTabOrder(m_affectAllApps, m_buttonEnable);
    QWidget::setTabOrder(m_buttonEnable, m_comboEnable);
    QWidget::setTabOrder(m_comboEnable, m_buttonDisable);
    QWidget::setTabOrder(m_buttonDisable, m_comboDisable);
    QWidget::setTabOrder(m_comboDisable, m_extension);
    QWidget::setTabOrder(m_extension, m_playerButton);
    retranslateUi(KNotifyWidgetBase);

    QMetaObject::connectSlotsByName(KNotifyWidgetBase);
    } // setupUi

    void retranslateUi(QWidget *KNotifyWidgetBase)
    {
    m_controlsBox->setTitle(tr2i18n("Quick Controls", 0));
    m_affectAllApps->setText(tr2i18n("Apply to &all applications", 0));
    m_buttonDisable->setToolTip(tr2i18n("Allows you to change the behavior for all events at once", 0));
    m_buttonDisable->setText(tr2i18n("Turn O&ff All", 0));
    m_buttonEnable->setToolTip(tr2i18n("Allows you to change the behavior for all events at once", 0));
    m_buttonEnable->setText(tr2i18n("Turn O&n All", 0));
    m_actionsBox->setTitle(tr2i18n("Actions", 0));
    m_stderr->setText(tr2i18n("Print a message to standard &error output", 0));
    m_messageBox->setText(tr2i18n("Show a &message in a pop-up window", 0));
    m_execute->setText(tr2i18n("E&xecute a program:", 0));
    m_playSound->setText(tr2i18n("Play a &sound:", 0));
    m_playButton->setToolTip(tr2i18n("Test the Sound", 0));
    m_playButton->setText(tr2i18n("", 0));
    m_taskbar->setText(tr2i18n("Mark &taskbar entry", 0));
    m_logToFile->setText(tr2i18n("&Log to a file:", 0));
    m_passivePopup->setText(tr2i18n("&Use a passive window that does not interrupt other work", 0));
    m_extension->setText(tr2i18n("Less Options", 0));
    m_playerButton->setText(tr2i18n("Player Settings", 0));
    Q_UNUSED(KNotifyWidgetBase);
    } // retranslateUi

};

namespace Ui {
    class KNotifyWidgetBase: public Ui_KNotifyWidgetBase {};
} // namespace Ui

#endif // KNOTIFYWIDGETBASE_H

